/**
 * Greek Named Entity Recognizer.
 * Copyright (C) 2005  G. Lucarelli
 *
 * This file is part of Greek Named Entity Recognizer.
 *
 * Sentence Splitter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Sentence Splitter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package ipl.nerc.lists;

/**
 * <p>Description: Auxiliary class of ListCreator and ListManager.</p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 * @version 0.1
 */
public class ListNode {
  private String key;
  private int count;

  public ListNode(String key) {
    this.key = key;
    this.count = 1;
  } // constructor: ListNode

  public ListNode(String key, int count) {
    this.key = key;
    this.count = count;
  } // constructor: ListNode

  public String getKey() {
    return this.key;
  } // getKey

  public int getCount() {
    return this.count;
  } // getCount

  public void increase() {
    this.count++;
  } // increase

  public void increase(int c) {
    this.count += c;
  } // increase

} // end of class ListNode
