/**
 * Greek Named Entity Recognizer.
 * Copyright (C) 2005  G. Lucarelli
 *
 * This file is part of Greek Named Entity Recognizer.
 *
 * Sentence Splitter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Sentence Splitter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package ipl.nerc.regex;

/**
 * <p>Description: Auxiliary class. Represents a pattern and its occurences in
 * training data.</p>
 *
 * <p>Copyright (c) 2005</p>
 * @version 0.1
 */
public class PatternNode {

  private String[] expression;

  private int count;

  public PatternNode(String[] expression, int count) {
    this.expression = expression;
    this.count = count;
  } // constructor: PatternNode

  public PatternNode(String[] expression) {
    this.expression = expression;
    this.count = 1;
  } // constructor: PatternNode

  public void increase() {
    this.count++;
  } // increase

  public String[] get_expression() {
    return this.expression;
  } // get_expression

  public int getCount() {
    return this.count;
  } // getCount

  public int compareTo(PatternNode node) {
    if (this.get_expression().length < node.get_expression().length) {
      return -1;
    } // if
    else if (this.get_expression().length > node.get_expression().length) {
      return 1;
    } // else if
    else {
      if (this.getCount() < node.getCount()) {
        return -1;
      } // if
      else if (this.getCount() > node.getCount()) {
        return 1;
      } // else if
      else {
        return 0;
      } // else
    } // else
  } // compareTo

} // end of class PatternNode
