/**
 * Greek Named Entity Recognizer.
 * Copyright (C) 2005  G. Lucarelli
 *
 * This file is part of Greek Named Entity Recognizer.
 *
 * Sentence Splitter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Sentence Splitter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package ipl.util;

/**
 * <p>Description: The constants of the system.</p>
 *
 * <p>Copyright (c) 2005</p>
 * @version 0.1
 */
public class Constants {

  public final static String NONE = "NONE";
  public final static String ARTICLE = "ARTICLE";
  public final static String SUBTITLE = "SUBTITLE";
  public final static String TITLE = "TITLE";
  public final static String SENTENCE = "SENTENCE";
  public final static String PARAGRAPH = "PARAGRAPH";
  public final static String PERSON = "PERSON";
  public final static String ORGANIZATION = "ORGANIZATION";
  public final static String LOCATION = "LOCATION";
  public final static String MONEY = "MONEY";
  public final static String PERCENT = "PERCENT";
  public final static String DATE = "DATE";
  public final static String TIME = "TIME";
  public final static String TIMEX = "TIMEX";

  public final static String ARTICLE_START_TAG = "<ARTICLE>";
  public final static String ARTICLE_END_TAG = "</ARTICLE>";
  public final static String SUBTITLE_START_TAG = "<SUBTITLE>";
  public final static String SUBTITLE_END_TAG = "</SUBTITLE>";
  public final static String TITLE_START_TAG = "<TITLE>";
  public final static String TITLE_END_TAG = "</TITLE>";
  public final static String SENTENCE_START_TAG = "<SENTENCE>";
  public final static String SENTENCE_END_TAG = "</SENTENCE>";
  public final static String PARAGRAPH_START_TAG = "<PARAGRAPH>";
  public final static String PARAGRAPH_END_TAG = "</PARAGRAPH>";
  public final static String PERSON_START_TAG = "<ENAMEX TYPE=\"PERSON\">";
  public final static String PERSON_END_TAG = "</ENAMEX>";
  public final static String ORGANIZATION_START_TAG = "<ENAMEX TYPE=\"ORGANIZATION\">";
  public final static String ORGANIZATION_END_TAG = "</ENAMEX>";
  public final static String LOCATION_START_TAG = "<ENAMEX TYPE=\"LOCATION\">";
  public final static String LOCATION_END_TAG = "</ENAMEX>";
  public final static String MONEY_START_TAG = "<NUMEX TYPE=\"MONEY\">";
  public final static String MONEY_END_TAG = "</NUMEX>";
  public final static String PERCENT_START_TAG = "<NUMEX TYPE=\"PERCENT\">";
  public final static String PERCENT_END_TAG = "</NUMEX>";
  public final static String DATE_START_TAG = "<TIMEX TYPE=\"DATE\">";
  public final static String DATE_END_TAG = "</TIMEX>";
  public final static String TIME_START_TAG = "<TIMEX TYPE=\"TIME\">";
  public final static String TIME_END_TAG = "</TIMEX>";

} // end of class Constants
