/**
 * Greek Named Entity Recognizer.
 * Copyright (C) 2005  G. Lucarelli
 *
 * This file is part of Greek Named Entity Recognizer.
 *
 * Sentence Splitter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Sentence Splitter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package ipl.util;

import java.io.*;

/**
 * <p>Description: Maintains the file of feature vectors.</p>
 *
 * <p>Copyright (c) 2005</p>
 * @version 0.1
 */
public class FeaturesFileManager {

  protected FileOutputStream fos;

  public FeaturesFileManager(String file) {
    try {
      File outf = new File(file);
      fos = new FileOutputStream(outf);
    } // try
    catch (IOException e) {
      e.printStackTrace();
    } // catch
  } // constructor: FeaturesFileManager

  public void setData(String[] attrVector) {
    String attributes = attrVector[0];
    int l = attrVector.length;
    for (int i = 1; i < l; i++) {
      attributes += " " + i + ":" + attrVector[i];
    } // for
    attributes += "\n";
    try {
      fos.write(attributes.getBytes());
    } // try
    catch (Exception e) {
      e.printStackTrace();
    } // catch
  } // setData

  public void close() {
    try {
      fos.close();
    } // try
    catch (IOException e) {
      e.printStackTrace();
    } // catch
  } // close

} // end of class FeaturesFileManager
